UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Observer a70024
Observer
732 Views
Registered: ‎01-25-2018

PetaLinux BSP build error on TRD 2017.4

Jump to solution

Dear Xilinx:

  I encounter build error when following the steps to build TRD2017.4

http://www.wiki.xilinx.com/Zynq%20UltraScale%20MPSoC%20Base%20TRD%202017.4%20-%20Design%20Module%201

 

here is my build error , would you guide me for the next step.

 

File: apu/petalinux_bsp/components/plnx_workspace/fsbl/.metadata/.log

!ENTRY org.eclipse.osgi 4 0 2018-03-20 16:09:10.224
!MESSAGE Application error
!STACK 1
java.lang.IllegalArgumentException: Argument cannot be null
at org.eclipse.swt.SWT.error(SWT.java:4514)
at org.eclipse.swt.SWT.error(SWT.java:4448)
at org.eclipse.swt.SWT.error(SWT.java:4419)
at org.eclipse.swt.graphics.Resource.<init>(Resource.java:50)
at org.eclipse.swt.graphics.Color.<init>(Color.java:80)
at com.xilinx.sdk.loggers.SdkLogAppender.initializeOutputStreams(SdkLogAppender.java:52)
at com.xilinx.sdk.loggers.SdkLogAppender.append(SdkLogAppender.java:83)
at org.apache.log4j.AppenderSkeleton.doAppend(AppenderSkeleton.java:251)
at org.apache.log4j.helpers.AppenderAttachableImpl.appendLoopOnAppenders(AppenderAttachableImpl.java:66)
at org.apache.log4j.Category.callAppenders(Category.java:206)
at org.apache.log4j.Category.forcedLog(Category.java:391)
at org.apache.log4j.Category.log(Category.java:856)
at org.slf4j.impl.Log4jLoggerAdapter.info(Log4jLoggerAdapter.java:304)
at com.xilinx.sdk.cmdline.application.SdkServiceStartUp.registerTcfCmdServers(SdkServiceStartUp.java:21)
at com.xilinx.sdk.cmdline.application.Service.start(Service.java:47)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
at org.eclipse.equinox.launcher.Main.main(Main.java:1492)

 

thanks for your work

Lucas

 

0 Kudos
1 Solution

Accepted Solutions
Observer a70024
Observer
960 Views
Registered: ‎01-25-2018

Re: PetaLinux BSP build error on TRD 2017.4

Jump to solution

Dear XInlinx:

 

% cd project-spec/meta-user/recipes-bsp/device-tree/files/
% cp zcu102-base-dm1.dtsi system-user.dtsi
% petalinux-build
% cd -

I found that, if I do petalinux-build under the following path, it will caused the build error.

project-spec/meta-user/recipes-bsp/device-tree/files/

 

but if I do petalinux-build under the following path, the build error is bypassed.

$TRD_HOME/apu/petalinux_bsp

 

Thanks a lot.

BRs

CJ

 

 

0 Kudos
2 Replies
Moderator
Moderator
697 Views
Registered: ‎04-24-2017

Re: PetaLinux BSP build error on TRD 2017.4

Jump to solution

Hi @a70024,

 

In http://www.wiki.xilinx.com/Zynq%20UltraScale%20MPSoC%20Base%20TRD%202017.4%20-%20Design%20Module%201 which command cause this build error.

Thanks,
Sandeep
PetaLinux Yocto | Embedded SW Support

---------------------------------------------------------------------------
Don’t forget to Reply, Kudo, and Accept as Solution.
---------------------------------------------------------------------------
0 Kudos
Observer a70024
Observer
961 Views
Registered: ‎01-25-2018

Re: PetaLinux BSP build error on TRD 2017.4

Jump to solution

Dear XInlinx:

 

% cd project-spec/meta-user/recipes-bsp/device-tree/files/
% cp zcu102-base-dm1.dtsi system-user.dtsi
% petalinux-build
% cd -

I found that, if I do petalinux-build under the following path, it will caused the build error.

project-spec/meta-user/recipes-bsp/device-tree/files/

 

but if I do petalinux-build under the following path, the build error is bypassed.

$TRD_HOME/apu/petalinux_bsp

 

Thanks a lot.

BRs

CJ

 

 

0 Kudos